Package org.apache.tools.ant.taskdefs.optional.extension

# Class LibFileSet

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.AbstractFileSet
org.apache.tools.ant.types.FileSet
org.apache.tools.ant.taskdefs.optional.extension.LibFileSet

All Implemented Interfaces:
  `java.lang.Cloneable`, `java.lang.Iterable<Resource>`, `ResourceCollection`, `SelectorContainer`

    public class LibFileSet
    extends FileSet

LibFileSet represents a fileset containing libraries. Associated with the libraries is data pertaining to how they are to be handled when building manifests.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LibFileSet()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `setIncludeImpl​(boolean includeImpl)` | Flag indicating whether should include the "Implementation-*" attributes in manifest.
`void` | `setIncludeUrl​(boolean includeURL)` | Flag indicating whether should include the "Implementation-URL" attribute in manifest.
`void` | `setUrlBase​(java.lang.String urlBase)` | Set the url base for fileset.

### Methods inherited from class org.apache.tools.ant.types.FileSet

`clone, getRef, isFilesystemOnly, iterator, size`

### Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addExecutable, addFilename, addMajority, addModified, addNone, addNot, addOr, addOwnedBy, addPosixGroup, addPosixPermissions, addPresent, addReadable, addSelector, addSize, addSymlink, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, dieOnCircularReference, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setRefid, setupDirectoryScanner, setupDirectoryScanner, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

## Constructor Details

### LibFileSet

public LibFileSet()

## Method Details

### setIncludeUrl

public void setIncludeUrl​(boolean includeURL)
Flag indicating whether should include the "Implementation-URL" attribute in manifest. Defaults to false.

Parameters:
  `includeURL` - the flag

### setIncludeImpl

public void setIncludeImpl​(boolean includeImpl)
Flag indicating whether should include the "Implementation-*" attributes in manifest. Defaults to false.

Parameters:
  `includeImpl` - the flag

### setUrlBase

public void setUrlBase​(java.lang.String urlBase)
Set the url base for fileset.

Parameters:
  `urlBase` - the base url